POFFD(8)

NAME
poffd - X68k shutdown deamon

SYNOPSIS
poffd [shutdown-program]

DESCRIPTION
poffd looks at the power switch of x68k. When the switch is turned off, poffd executes shutdown-program ( using /bin/sh -c). If the system is started by x68k's RTC timer, shutdown-program is executed when the system's shut down time (predefined using other utility, SX-Window Control Pannel and rtcalarm(8) for example) arrives. The argument shutdown-program may contain the character `%'. It is substituted with a number which indicates the way how the system was started:
0: Front power switch
1: External (I/O slot) power signal
2: RTC alarm
This is useful when choosing the shutdown message. If the argument shutdown-program is omitted, `/sbin/shutdown -r +1' is executed instead.

SEE ALSO
pow(4), rtcalarm(8), shutdown(8)

AUTHOR
poffd was written by MINOURA Makoto <minoura@flab.fujitsu.co.jp>.

SPECIAL THANKS
Liam Hahne Minn <hahne@sail.t.u-tokyo.ac.jp>.